<?php
namespace Claromentis\People\UseCase;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_1307d61617a82e798c" . "53fada52dc0114" => base64_decode("VXNlciBu" . "b3QgZm91" . "bmQ="), "_206592e8fa016" . "0bd42ecad148e6" . "e13e7" => base64_decode("WW91IGRvIG5vdCBoYXZlIHBlcm1pc3Npb24gdG8gdml" . "ldyB0aGlzIHVzZXI="));
use Claromentis\Core\Security\Exception\AccessDeniedException;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\People\Entity\User;
use Claromentis\People\Exception\NotFoundException;
use Claromentis\People\Filter\UserFilter;
use Claromentis\People\PeopleAcl;
use Claromentis\People\Repository\UserRepository;




class GetUser
{
    
    
    
    
    protected $acl;
    
    
    
    
    protected $repo;
    public function __construct(PeopleAcl $acl, UserRepository $repo)
    {
        $this->acl = $acl;
        $this->repo = $repo;
    }
    
    
    
    
    
    
    
    
    
    public function Get(SecurityContext $context, int $user_id, ?UserFilter $_03e9164d0a343b742df4793268b80767 = null)
    {
        if (!$_03e9164d0a343b742df4793268b80767) {
            $_03e9164d0a343b742df4793268b80767 = new UserFilter($context);
        }
        $_03e9164d0a343b742df4793268b80767->SetPeopleAcl($this->acl);
        
        
        
        
        $_24e0e36600d6af77406a44bb618a6253 = $this->repo->findOneWithFilter($user_id, $_03e9164d0a343b742df4793268b80767);
        if (empty($_24e0e36600d6af77406a44bb618a6253)) {
            throw new NotFoundException($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_1307d61617a" . "82e798c53fad" . "a52dc0114"]);
        }
        if (!$this->acl->CanViewUser($context, $user_id) && !$this->acl->CanViewUserAsAdmin($context, $user_id)) {
            throw new AccessDeniedException($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_206592e8fa0160bd42ecad148e6e13" . "e7"]);
        }
        return $_24e0e36600d6af77406a44bb618a6253;
    }
}